[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TConstrainedResizeEvent

Specifies an event handler signalled to resize a control to the specified size constraints.

## Declaration

Source position: controls.pp line 752

`type TConstrainedResizeEvent = procedure(`
`Sender: TObject;`
`var MinWidth: TConstraintSize;`
`var MinHeight: TConstraintSize;`
`var MaxWidth: TConstraintSize;`
`var MaxHeight: TConstraintSize`
`) of object;`

## Arguments

`Sender` |  | TObject for the event notification.
`MinWidth` |  | Variable argument with the minimum width for the resize event.
`MinHeight` |  | Variable argument with the minimum hright for the resize event.
`MaxWidth` |  | Variable argument with the maximum width for the resize event.
`MaxHeight` |  | Variable argument with the maximum height for the resize event.

## Description

TConstrainedResizeEvent is an object procedure type that specifies an event handler signalled to resize a control to the specified size constraints. The handler routine can update the values in the MinWidth, MinHeight, MaxWidth, and MaxHeight arguments if needed.

TConstrainedResizeEvent is the type used to implement the OnConstrainedResize event in TControl.

## See also

TControl.OnConstrainedResize |  | This handler can supply specific Constraints (size limits), when the control is resized.
TControl.ConstrainedResize |  | Signals the OnConstrainedResize handler.